Bug 481185 - No hal device access policy for keyboard
No hal device access policy for keyboard
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-22 11:46 EST by Oliver Henshaw
Modified: 2009-12-18 02:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:40:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oliver Henshaw 2009-01-22 11:46:27 EST
Description of problem:

I tried to configure pulseudio to use my keyboard's multimedia keys to control sound, but this failed due to not having authorisation to directly access the keyboard. This appears to be due to a missing hal device access policy.

Further details:

Pulseaudio is configured in .pulse/default.pa,

load-module module-mmkbd-evdev device=/dev/input/eventX

where eventX corresponds to the keyboard device. This fails, with "module-mmkbd-evdev.c: failed to open evdev device: Permission denied" appearing in /var/log/messages. However, when eventX refers to a mouse device, this succeeds. Unfortunately, my mouse does not have a volume control..

I used the policykit GUI to discover that I have permission to directly access the mouse, but no permission to directly access the keyboard device is available. This can be confirmed by examining /usr/share/PolicyKit/policy/org.freedesktop.hal.device-access.policy and finding no mention of the keyboard.

Version-Release number of selected component (if applicable):
hal-0.5.12-14.20081027git.fc10.i386
pulseaudio-0.9.13-6.fc10.i386
xorg-x11-drv-evdev-2.1.0-1.fc10.i386

Note: Hal seemed like the best place to file the bug. If direct device access is not reasonable, this is probably a pulseaudio or evdev bug.
Comment 1 Oliver Henshaw 2009-02-10 11:04:20 EST
From #pulseaudio IRC:

[Thu Feb 5 2009] <mezcalero> henshaw: that module is not really useful for anything but embedded boxes
[Thu Feb 5 2009] <mezcalero> henshaw: gnome implements the hotkey stuff anyway

KDE's kmix also allows multimedia volume control, and is more flexible than mmkbd-evdev wrt key-combinations. At the time of filing I preferred volume control of PA sinks to the direct control of alsa devices presently offered by kmix, but this is now a minor concern.

I'm guessing this is NOTABUG, but am not completely sure.
Comment 2 Bug Zapper 2009-11-18 05:50:05 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 02:40:40 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.